## org.apache.taglibs.standard.lang.jstl.test
Class StaticFunctionTests

    java.lang.Object
      org.apache.taglibs.standard.lang.jstl.test.StaticFunctionTests

    public class StaticFunctionTests

extends Object

This class contains some test functions.

Author:
  Shawn Bayern

Constructor Summary
`StaticFunctionTests()`

Method Summary
`static int` `add(int a, int b)`
`static int` `getInt(Integer i)`
`static Integer` `getInteger(int i)`
`static Map` `getSampleMethodMap()`
`static void` `main(String[] args)`
`static int` `multiply(int a, int b)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StaticFunctionTests

    public StaticFunctionTests()

Method Detail

### main

    public static void main(String[] args)
                     throws Exception

  Throws:
    `Exception`

### add

    public static int add(int a,
                          int b)

### multiply

    public static int multiply(int a,
                               int b)

### getInt

    public static int getInt(Integer i)

### getInteger

    public static Integer getInteger(int i)

### getSampleMethodMap

    public static Map getSampleMethodMap()
                                  throws Exception

  Throws:
    `Exception`

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.